Permission
PermissionsResponse object
- object_idstring
- object_typestring
- access_control_listarray of object
Show child attributesHide child attributes
- user_namestring
name of the user
- group_namestring
name of the group
- service_principal_namestring
Name of the service principal.
- display_namestring
Display name of the user or service principal.
- all_permissionsarray of object
All permissions.
Show child attributesHide child attributes
- permission_levelstring
Permission level
Show 18 possible values
CAN_MANAGECAN_RESTARTCAN_ATTACH_TOIS_OWNERCAN_MANAGE_RUNCAN_VIEWCAN_READCAN_RUNCAN_EDITCAN_USECAN_MANAGE_STAGING_VERSIONSCAN_MANAGE_PRODUCTION_VERSIONSCAN_EDIT_METADATACAN_VIEW_METADATACAN_BINDCAN_QUERYCAN_MONITORCAN_CREATE
- inheritedboolean
- inherited_from_objectarray of string
Get object permissions GA
GET
Gets the permissions of an object. Objects can inherit permissions from their parent objects or root object.
API scopes: access-management
Parameters
- request_object_typestringRequiredpath
The type of the request object. Can be one of the following: alerts, alertsv2, authorization, clusters, cluster-policies, dashboards, database-projects, dbsql-dashboards, directories, experiments, files, genie, instance-pools, jobs, knowledge-assistants, notebooks, pipelines, queries, registered-models, repos, serving-endpoints, supervisor-agents, vector-search-endpoints, or warehouses.
- request_object_idstringRequiredpath
The id of the request object.
Response
Returns the PermissionsResponse object.
Set object permissions GA
PUT
Sets permissions on an object, replacing existing permissions if they exist. Deletes all direct permissions if none are specified. Objects can inherit permissions from their parent objects or root object.
API scopes: access-management
Parameters
- request_object_typestringRequiredpath
The type of the request object. Can be one of the following: alerts, alertsv2, authorization, clusters, cluster-policies, dashboards, database-projects, dbsql-dashboards, directories, experiments, files, genie, instance-pools, jobs, knowledge-assistants, notebooks, pipelines, queries, registered-models, repos, serving-endpoints, supervisor-agents, vector-search-endpoints, or warehouses.
- request_object_idstringRequiredpath
The id of the request object.
Request body
- access_control_listarray of object
Show child attributesHide child attributes
- user_namestring
name of the user
- group_namestring
name of the group
- service_principal_namestring
application ID of a service principal
- permission_levelstring
Permission level
Show 18 possible values
CAN_MANAGECAN_RESTARTCAN_ATTACH_TOIS_OWNERCAN_MANAGE_RUNCAN_VIEWCAN_READCAN_RUNCAN_EDITCAN_USECAN_MANAGE_STAGING_VERSIONSCAN_MANAGE_PRODUCTION_VERSIONSCAN_EDIT_METADATACAN_VIEW_METADATACAN_BINDCAN_QUERYCAN_MONITORCAN_CREATE
Response
Returns the PermissionsResponse object.
Get object permission levels GA
GET
Gets the permission levels that a user can have on an object.
API scopes: access-management
Parameters
- request_object_typestringRequiredpath
The type of the request object. Can be one of the following: alerts, alertsv2, authorization, clusters, cluster-policies, dashboards, database-projects, dbsql-dashboards, directories, experiments, files, genie, instance-pools, jobs, knowledge-assistants, notebooks, pipelines, queries, registered-models, repos, serving-endpoints, supervisor-agents, vector-search-endpoints, or warehouses.
- request_object_idstringRequiredpath
Response
- permission_levelsarray of object
Specific permission levels
Show child attributesHide child attributes
- permission_levelstring
Permission level
Show 18 possible values
CAN_MANAGECAN_RESTARTCAN_ATTACH_TOIS_OWNERCAN_MANAGE_RUNCAN_VIEWCAN_READCAN_RUNCAN_EDITCAN_USECAN_MANAGE_STAGING_VERSIONSCAN_MANAGE_PRODUCTION_VERSIONSCAN_EDIT_METADATACAN_VIEW_METADATACAN_BINDCAN_QUERYCAN_MONITORCAN_CREATE
- descriptionstring
Update object permissions GA
PATCH
Updates the permissions on an object. Objects can inherit permissions from their parent objects or root object.
API scopes: access-management
Parameters
- request_object_typestringRequiredpath
The type of the request object. Can be one of the following: alerts, alertsv2, authorization, clusters, cluster-policies, dashboards, database-projects, dbsql-dashboards, directories, experiments, files, genie, instance-pools, jobs, knowledge-assistants, notebooks, pipelines, queries, registered-models, repos, serving-endpoints, supervisor-agents, vector-search-endpoints, or warehouses.
- request_object_idstringRequiredpath
The id of the request object.
Request body
- access_control_listarray of object
Show child attributesHide child attributes
- user_namestring
name of the user
- group_namestring
name of the group
- service_principal_namestring
application ID of a service principal
- permission_levelstring
Permission level
Show 18 possible values
CAN_MANAGECAN_RESTARTCAN_ATTACH_TOIS_OWNERCAN_MANAGE_RUNCAN_VIEWCAN_READCAN_RUNCAN_EDITCAN_USECAN_MANAGE_STAGING_VERSIONSCAN_MANAGE_PRODUCTION_VERSIONSCAN_EDIT_METADATACAN_VIEW_METADATACAN_BINDCAN_QUERYCAN_MONITORCAN_CREATE
Response
Returns the PermissionsResponse object.